### Method

# Ide Application get_worker_async

#### Declaration

    void
    ide_application_get_worker_async (
      IdeApplication* self,
      const gchar* plugin_name,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests a `GDBusProxy` to a service provided in a worker process. The worker should be an `IdeWorker` implemented by the plugin named `plugin_name`. The `IdeWorker` is responsible for created both the service registered on the bus and the proxy to it.

The `IdeApplication` is responsible for spawning a subprocess for the worker.

`callback` should call `ide_application_get_worker_finish()` with the result provided to retrieve the result.

Available since: | 3.32

#### Parameters

`plugin_name` | `const gchar*`
| The name of the plugin.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` or `NULL`.
| The argument can be `NULL`.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.